
<div id="game_selection">
  <button id="player_guess">Le joueur devine</button>
  <button id="computer_guess">L'ordinateur deine</button>
</div>

<div id="game1">
  <input type="text" id="player_input">
  <button id="try_button">Tester</button>
  <div id="message1"></div>
  <button id="restart_button1">Refaire une partie</button>
</div>

<div id="game2">
  <div id="message2"></div>
  <button id="smaller_button">Plus petit</button>
  <button id="bigger_button">Plus grand</button>
  <button id="found_button">Trouvé !</button>
  <button id="restart_button2">Refaire une partie</button>
</div>

<script>
var player_guess = document.querySelector('#player_guess');
var computer_guess = document.querySelector('#computer_guess');

var game_selection = document.querySelector('#game_selection');
var game1 = document.querySelector('#game1');
var game2 = document.querySelector('#game2');
var restart_button1 = document.querySelector('#restart_button1');
var restart_button2 = document.querySelector('#restart_button2');
var message1 = document.querySelector('#message1');
var message2 = document.querySelector('#message2');

var player_input = document.querySelector('#player_input');
var try_button = document.querySelector('#try_button');
var smaller_button = document.querySelector('#smaller_button');
var bigger_button = document.querySelector('#bigger_button');
var found_button = document.querySelector('#found_button');

function show(element) {
  element.style.display = '';
}

function hide(element) {
  element.style.display = 'none';
}

function new_game() {
  show(game_selection);
  hide(game1);
  hide(game2);
}

player_guess.addEventListener('click', (event) => {
  start_player_guess_game();
});
computer_guess.addEventListener('click', (event) => {
  start_computer_guess_game();
});

restart_button1.addEventListener('click', new_game);
restart_button2.addEventListener('click', new_game);

var computer_number;
function start_player_guess_game() {
  computer_number = Math.round(Math.random() * 100);
  console.log(computer_number);
  hide(game_selection);
  show(game1);
  hide(restart_button1);
}

try_button.addEventListener('click', (event) => {
  let value = parseInt(player_input.value);
  if(value < computer_number) message1.innerText = "Non, c'est plus grand";
  else if(value > computer_number) message1.innerText = "Non, c'est plus petit";
  else {
    message1.innerText = "Bravo, vous avez trouvé";
    show(restart_button1);
  }
  player_input.value = "";
});

var min = 0, max = 100;
function start_computer_guess_game() {
  min = 0;
  max = 100;
  computer_number = Math.round((max + min) / 2);
  message2.innerText = "Pensez à un nombre entre 1 et 100. Est-ce que c'est " + computer_number + " ?";
  hide(game_selection);
  show(game2);
  hide(restart_button2);
}

smaller_button.addEventListener('click', (event) => {
  max = computer_number;
  computer_number = Math.round((max + min) / 2);
  message2.innerText = "Est-ce que c'est " + computer_number + " ?";
});
 
bigger_button.addEventListener('click', (event) => {
  min = computer_number;
  computer_number = Math.round((max + min) / 2);
  message2.innerText = "Est-ce que c'est " + computer_number + " ?";
});

found_button.addEventListener('click', (event) => {
  show(restart_button2);
});

new_game();
 
</script>
